<div [class]="'app-sidebar sidebar-shadow'" (mouseover)="sidebarHover()" (mouseout)="sidebarHover()">
  <div class="app-header__logo">
    <div class="logo-src"></div>
    <div class="header__pane ms-auto">
      <button type="button" class="hamburger close-sidebar-btn hamburger--elastic"
        [ngClass]="{'is-active' : globals.toggleSidebar}" (click)="toggleSidebar()">
        <span class="hamburger-box">
          <span class="hamburger-inner"></span>
        </span>
      </button>
    </div>
  </div>
  <div class="app-sidebar-content">
    <div class="app-sidebar-scroll">
      <perfect-scrollbar [autoPropagation]="true">
        <div class="v-sidebar-menu vsm-default">
          <div class="vsm-list">
            <ngb-accordion [destroyOnHide]="false" [closeOthers]="true" [activeIds]="extraParameter">
              <ng-container *ngFor="let menu of Menus; let i= index">
                <ngb-panel>
                  <ng-template ngbPanelHeader>
                    <div class="vsm-header">{{menu.title}}</div>
                  </ng-template>
                </ngb-panel>
                <ngb-panel *ngFor="let module of menu?.modules">
                  <ng-template ngbPanelHeader>
                    <button ngbPanelToggle class="vsm-link">
                      <i [class]="'vsm-icon ' + module?.icon"></i>
                      <span class="vsm-title">{{module?.title}}</span>
                      <i class="vsm-arrow"></i>
                    </button>
                  </ng-template>
                  <ng-template ngbPanelContent>
                    <div class="vsm-dropdown">
                      <div class="vsm-list">
                        <div class="vsm-item" *ngFor="let child of module?.children">
                          <a routerLinkActive="active-item" [routerLink]="[child?.url]" class="vsm-link"><span
                              class="vsm-title">{{child?.title}}</span></a>
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </ngb-panel>
              </ng-container>
            </ngb-accordion>
          </div>
        </div>
      </perfect-scrollbar>
    </div>
  </div>
</div>
